Skip to main content

Cancel Order

Request to be POSTed to uri : /NorenWClientAPI/CancelOrder

Request Details :

Json FieldsPossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
norenordno*Noren order number, which needs to be modified
uid*User id of the logged in user.
ext_remarksExternal remarks
cl_ord_idCli Order Id
channelChannel
usr_agentUser Agent
app_inst_idApp Install Id

Example

curl --location 'https://api.kambala.co.in/NorenWClientAPI/CancelOrder' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer 33f5a445acef92ffaae09aeac3221786ac96a7b8d0e1e0337e1f56e065cfd72c' \
--data 'jData={"uid":"DEMO","norenordno":"25121100000307"}'

Response Details :

Response data will be in json format with below fields.

Json FieldsPossible valueDescription
statOk or Not_OkCancel order success or failure indication.
resultNoren Order number of the canceled order.
request_timeResponse received time.
emsgThis will be present only if Order cancelation fails

Sample Success Response :

{
"request_time": "15:08:10 11-12-2025",
"stat": "Ok",
"result": "25121100000307"
}

Sample Failure Response :

{
"stat": "Not_Ok",
"emsg": "Session Expired : Invalid Session Key"
}